<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID" value="XDSCLASS"/>
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.ClassificationMetaDataEditor']}</h1>
        <h:form>
            #{classificationMetaDataEditorManager.reloadSelectedClassificationMetaData()}
            <gri:panel pid="globalpanel">
                <f:facet name="header">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.EditClassificationMetaDataContent']}"/>
                </f:facet>
                <f:facet name="footer">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Back']}"
                                       action="/admin/listClassifications.xhtml"/>
                    <a4j:commandButton styleClass="gzl-btn-green"
                                       value="#{messages['net.ihe.gazelle.xdstar.Save']}"
                                       action="#{classificationMetaDataEditorManager.saveSelectedClassificationMetaData()}"
                                       render="messageDecoration"/>
                </f:facet>
                <ui:include src="/admin/ClassificationTable.xhtml">
                    <ui:param name="selectedRO"
                              value="#{classificationMetaDataEditorManager.selectedClassificationMetaData}"/>
                    <ui:param name="selectedCE"
                              value="#{classificationMetaDataEditorManager.selectedCardinalityEnum}"/>
                    <ui:param name="ROManager"
                              value="#{classificationMetaDataEditorManager}"/>
                </ui:include>
            </gri:panel>
        </h:form>
        <ui:include src="/admin/ClassificationModalPanels.xhtml">
            <ui:param name="selectedRO"
                      value="#{classificationMetaDataEditorManager.selectedClassificationMetaData}"/>
            <ui:param name="ROManager"
                      value="#{classificationMetaDataEditorManager}"/>
        </ui:include>
    </ui:define>
</ui:composition>
